## nanoAsyncX.awk -v DISPLAY_WIDTH=n
#
var DISPLAY_WIDTH = 35
BEGIN {
	# MM = "M:/"					# 4-6sec(big,USB)
	# MM = "//princess7/m/" 		# 1:2sec(big,USB,UNC)
	MM = "//princess7/share/"		# 0sec(Win ⟳ ローカル共有SSD)
	MM = "//princess6/share/"		# 0sec(Win→Samba ⟳ HDD)

	INPUT = MM "ミュージック/"
	OUTPUT = MM "ミュージック2/"
	print "\e[92m# move コマンドで移動する\e[m"
	set("DISPLAY_WIDTH="DISPLAY_WIDTH)
	clean(INPUT, "clean")
	print "\e[92m# 前回のバックアップを削除\e[m"
	remove(OUTPUT, "pro")
	print "\e[92m# 移動(async io, ATOMIC_MOVE)\e[m"
	move(INPUT, OUTPUT, "pro")
	print "\e[92m# バックアップを戻す\e[m"
	move(OUTPUT, INPUT, "pro")
	print ""
}